Subject: Re: bug#1159: frame-local-variable problem

From: Glenn Morris <[email-masked]>
Date: Thu, 24 Jun 2010 15:12:58 -0400

Sorry, but I don't understand why you closed this. I still see the
problem I described (in case there is any confusion, I cloned 1159
from 812. 812 is a doc bug that is indeed fixed). Problem:

    This works as it should:

    emacs -Q
    (setq foo 'bar)

    (make-variable-frame-local 'foo)
         ; [1]
    (set-frame-parameter nil 'foo t)

    foo  ; -> t [2]

    (make-frame)

    foo  ; -> bar in new frame, still t in old frame [3]

    If you add an extra evaluation of `foo' at point [1] (after making it
    frame local, but before adding a frame parameter), then at point [2]
    you get 'bar rather than t. After you make a new frame, it starts
    working (at [3]).